---
sidebar_position: 1
---

# @logto/js

## Table of contents

### Enumerations

- [QueryKey](enums/QueryKey.md)
- [TokenGrantType](enums/TokenGrantType.md)

### Classes

- [LogtoError](classes/LogtoError.md)
- [LogtoRequestError](classes/LogtoRequestError.md)
- [OidcError](classes/OidcError.md)

### Type Aliases

- [CodeTokenResponse](types/CodeTokenResponse.md)
- [FetchTokenByAuthorizationCodeParameters](types/FetchTokenByAuthorizationCodeParameters.md)
- [FetchTokenByRefreshTokenParameters](types/FetchTokenByRefreshTokenParameters.md)
- [IdTokenClaims](types/IdTokenClaims.md)
- [LogtoErrorCode](types/LogtoErrorCode.md)
- [OidcConfigResponse](types/OidcConfigResponse.md)
- [RefreshTokenTokenResponse](types/RefreshTokenTokenResponse.md)
- [Requester](types/Requester.md)
- [SignInUriParameters](types/SignInUriParameters.md)
- [UserInfoResponse](types/UserInfoResponse.md)

### Variables

- [ContentType](variables/ContentType.md)
- [discoveryPath](variables/discoveryPath.md)

### Functions

- [createRequester](functions/createRequester.md)
- [decodeIdToken](functions/decodeIdToken.md)
- [fetchOidcConfig](functions/fetchOidcConfig.md)
- [fetchTokenByAuthorizationCode](functions/fetchTokenByAuthorizationCode.md)
- [fetchTokenByRefreshToken](functions/fetchTokenByRefreshToken.md)
- [fetchUserInfo](functions/fetchUserInfo.md)
- [generateCodeChallenge](functions/generateCodeChallenge.md)
- [generateCodeVerifier](functions/generateCodeVerifier.md)
- [generateSignInUri](functions/generateSignInUri.md)
- [generateSignOutUri](functions/generateSignOutUri.md)
- [generateState](functions/generateState.md)
- [parseUriParameters](functions/parseUriParameters.md)
- [revoke](functions/revoke.md)
- [verifyAndParseCodeFromCallbackUri](functions/verifyAndParseCodeFromCallbackUri.md)
- [verifyIdToken](functions/verifyIdToken.md)
- [withReservedScopes](functions/withReservedScopes.md)
